OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::FaceRenderer Class Referenceabstract

`#include <faceRenderer.hpp>`

Inherited by op::FaceCpuRenderer, and op::FaceGpuRenderer.

## Public Member Functions
virtual | ~FaceRenderer ()
virtual void | initializationOnThread ()
void | renderFace (Array< float > &outputData, const Array< float > &faceKeypoints, const float scaleInputToOutput)

## Constructor & Destructor Documentation

virtual op::FaceRenderer::~FaceRenderer | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void op::FaceRenderer::initializationOnThread | ( |  | ) |
| inline virtual

Reimplemented in op::FaceGpuRenderer.

void op::FaceRenderer::renderFace | ( | Array< float > & | outputData,
|  | const Array< float > & | faceKeypoints,
|  | const float | scaleInputToOutput
| ) |  |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/face/faceRenderer.hpp